- !OutputStorage
  converted_components:
    ? !InstComponent
      cdef: &id009 !ComponentDefinition
        childs: []
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: thing
        needs: []
        parameters:
        - !ElementaryVariable
          comments: []
          is_property: false
          name: r
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
            line: 13}
          vartype: &id001 !Type {comments: null, name: real, pos: null}
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
          line: 11}
        relations: []
        transformations: []
        variables: []
      comments: &id002 []
      comp_num: 1
      depth: 1
      designs: []
      end_comp_num: 2
      flow_set: !!set
        ? &id006 !ElementaryInstVariable
          comments: &id012 []
          cvar: &id008 !ElementaryVariable
            comments: []
            is_property: false
            name: r
            pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
              line: 2}
            vartype: *id001
          path: world.r
          property_owner: null
          var_number: 0
        : null
      goals: []
      needs: []
      path: world.t
      relations: []
      transforms: []
    : &id003 !EslComponent
      children: []
      comments: *id002
      name: world.t
      node_class: EslComponent
      parent: &id004 !EslComponent
        children:
        - *id003
        - &id007 !EslComponent
          children: []
          comments: &id005 []
          name: world.q
          node_class: EslComponent
          parent: *id004
        comments: &id011 []
        name: world
        node_class: EslComponent
        parent: null
    ? !InstComponent
      cdef: &id010 !ComponentDefinition
        childs: []
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: queue
        needs: []
        parameters:
        - !ElementaryVariable
          comments: []
          is_property: false
          name: r
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
            line: 17}
          vartype: *id001
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
          line: 15}
        relations: []
        transformations: []
        variables: []
      comments: *id005
      comp_num: 2
      depth: 1
      designs: []
      end_comp_num: 3
      flow_set: !!set
        *id006: null
      goals: []
      needs: []
      path: world.q
      relations: []
      transforms: []
    : *id007
    ? !InstComponent
      cdef: !ComponentDefinition
        childs:
        - !ChildComponent
          arguments:
          - *id008
          comments: []
          component: *id009
          name: t
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
            line: 5}
        - !ChildComponent
          arguments:
          - *id008
          comments: []
          component: *id010
          name: q
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
            line: 8}
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: null
        needs: []
        parameters: []
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/world.esl',
          line: 0}
        relations: []
        transformations: []
        variables:
        - *id008
      comments: *id011
      comp_num: 0
      depth: 0
      designs: []
      end_comp_num: 3
      flow_set: !!set
        *id006: null
      goals: []
      needs: []
      path: world
      relations: []
      transforms: []
    : *id004
  converted_design_funcs: {}
  converted_design_rules: {}
  converted_goals: {}
  converted_needs: {}
  converted_relations: {}
  converted_reltypes: {}
  converted_transforms: {}
  converted_variables:
    *id006: &id014 !EslVariable
      comments: *id012
      name: world.r
      node_class: EslVariable
      property_owner: null
      var_type: &id013 !EslVariableType {comments: null, name: real, node_class: EslVariableType,
        parent: null}
  converted_vartypes:
    *id001: *id013
  file_root: !EslFile
    edges:
    - !EslEdge
      destination: *id003
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id004
    - !EslEdge
      destination: *id007
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id004
    - !EslEdge
      destination: *id004
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id003
    - !EslEdge
      destination: *id007
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id003
    - !EslEdge
      destination: *id004
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id007
    - !EslEdge
      destination: *id003
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id014
      source: *id007
    - !EslEdge
      destination: *id014
      edge_class: EslMappingRelation
      reasons:
      - &id015 !EslUsageReason {reason: EslUsage}
      source: *id004
    - !EslEdge
      destination: *id014
      edge_class: EslMappingRelation
      reasons:
      - *id015
      source: *id003
    - !EslEdge
      destination: *id014
      edge_class: EslMappingRelation
      reasons:
      - *id015
      source: *id007
    nodes:
    - *id003
    - *id007
    - *id004
    - *id013
    - *id014
- {version: 0.0.1}
